<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:gri="http://java.sun.com/jsf/composite/gri">
    <dl class="dl-horizontal">
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty addr.addressLine}">
            <ui:define name="label">#{messages['net.ihe.gazelle.patgen.StreetAddressLine']}</ui:define>
            <h:outputText value="#{addr.addressLine}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty addr.zipCode}">
            <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.ZipCode']}</ui:define>
            <h:outputText value="#{addr.zipCode}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty addr.city}">
            <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.City']}</ui:define>
            <h:outputText value="#{addr.city}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty addr.inseeCode}">
            <ui:define name="label">#{messages['net.ihe.gazelle.patgen.INSEECode']}</ui:define>
            <h:outputText value="#{addr.inseeCode}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty addr.state}">
            <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.State']}</ui:define>
            <h:outputText value="#{addr.state}"/>
        </s:decorate>
        <s:decorate template="/layout/display/_data_list_item.xhtml" rendered="#{not empty addr.countryCode}">
            <ui:define name="label">#{messages['gazelle.simulator.PatientGeneration.Country']}</ui:define>
            <h:outputText value="#{addr.countryCode}"/>
        </s:decorate>
    </dl>
</ui:composition>
